var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { execSync } from "child_process";
export const installDotNetSDK = () => __awaiter(void 0, void 0, void 0, function* () {
    const scriptUrl = "https://dot.net/v1/dotnet-install.ps1";
    console.log("Checking if .NET SDK is already installed...\n");
    try {
        execSync("dotnet --version");
        console.log(".NET SDK is already installed.\n");
    }
    catch (error) {
        console.log("Downloading and installing .NET SDK using PowerShell...\n");
        try {
            execSync(`powershell -Command "Invoke-Expression (New-Object System.Net.WebClient).DownloadString('${scriptUrl}')"`);
            console.log(".NET SDK installation completed.\n");
        }
        catch (error) {
            console.error(`Error installing .NET SDK: ${error}`);
        }
    }
});
