var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import path from "path";
import fs from "fs";
export const executeInSeries = (tasks) => __awaiter(void 0, void 0, void 0, function* () {
    for (const task of tasks) {
        yield task();
    }
});
export const copyFolderSync = (from, to) => {
    fs.mkdirSync(to, { recursive: true });
    fs.readdirSync(from).forEach((element) => {
        const fromPath = path.join(from, element);
        const toPath = path.join(to, element);
        if (fs.lstatSync(fromPath).isFile()) {
            fs.copyFileSync(fromPath, toPath);
        }
        else {
            copyFolderSync(fromPath, toPath);
        }
    });
};
export const replaceNamespace = (dirOrFile, regex, namespace) => {
    const stat = fs.statSync(dirOrFile);
    if (stat.isDirectory()) {
        const files = fs.readdirSync(dirOrFile);
        files.forEach((file) => {
            const filePath = path.join(dirOrFile, file);
            replaceNamespace(filePath, regex, namespace);
        });
    }
    else if (stat.isFile()) {
        const content = fs.readFileSync(dirOrFile, "utf-8");
        const auxRegex = new RegExp(regex, "g");
        const updatedContent = content.replace(auxRegex, namespace.toUpperCase().trim());
        fs.writeFileSync(dirOrFile, updatedContent, "utf-8");
    }
};
