import * as fs from "fs";
import path from "path";

import { setupGulp } from "./setupGulp.js";
import { setupVue } from "./setupVue.js";
import { setupReact } from "./setupReact.js";

export const setupFrontend = async (
  dir: string,
  { frontendTech, projectName, useUmbraco }: any
): Promise<void> => {
  let directory = dir;

  if (useUmbraco) {
    directory = path.join(directory, projectName, "Frontend");
    if (!fs.existsSync(directory)) {
      console.log(`Creating frontend directory at ${dir}...\n`);
      fs.mkdirSync(directory);
    }
  }

  const value = frontendTech.toLowerCase();
  switch (value) {
    case "gulp":
      await setupGulp(directory, projectName);
      break;
    case "vue":
      await setupVue(directory, projectName);
      break;
    case "react":
      await setupReact(directory, projectName);
      break;
    default:
      console.log("Framework not supported.");
      break;
  }
};
