import { execSync } from "child_process";
import path from "path";

export const installUmbraco = async (dir: string, version: string): Promise<void> => {
  console.log(`Installing Umbraco... ${version} \n`);
  const stringVersion = version.toLocaleLowerCase() === "latest" ? "" : `--version ${version}`;
  try {
    execSync(`dotnet new -i Umbraco.Templates`);
    execSync(`dotnet new umbraco ${stringVersion} -n ${path.basename(dir)} -o "${dir}"`);
    execSync(`dotnet restore "${dir}"`);
    execSync(`dotnet build "${dir}"`);
  } catch (error) {
    console.error(`exec error: ${error}`);
  }
};
